Bug 128430 - Cannot Install Template-Toolkit - undefined symbol: mysql_ssl_set
Cannot Install Template-Toolkit - undefined symbol: mysql_ssl_set
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: perl-DBD-MySQL (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-22 16:26 EDT by Julian Gorfajn
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-11 06:41:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julian Gorfajn 2004-07-22 16:26:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040616

Description of problem:
While tring to install bugzilla..

perl -MCPAN -e 'install "Template"'

results in an error trying to run the DBI component. Further analysis
reports:

DBI connect() failed: install_driver(mysql) failed: Can't load
'/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/DBD/mysql/mysql.so'
for module DBD::mysql:
/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/DBD/mysql/mysql.so:
undefined symbol: mysql_ssl_set at
/usr/lib/perl5/5.8.3/i386-linux-thread-multi/DynaLoader.pm line 229.
 at (eval 4) line 3
Compilation failed in require at (eval 4) line 3.
Perhaps a required shared library or dll isn't installed where
expected at t/dbi.t line 60

Note that the DBI interface works just fine without this Template
Toolkit. This problem appears to be quite similar to bug 112904


Version-Release number of selected component (if applicable):
perl-DBD-MySQL-2.9003-4

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core 2
2. perl -MCPAN -e 'install "Template"'
3. Apply the DBI test
Comment 1 Matthew Miller 2005-04-26 11:02:17 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Warren Togami 2005-09-11 06:41:27 EDT
closing due to lack of activity and FC2 is no longer supported

Note You need to log in before you can comment on or make changes to this bug.